Update traffic split
curl --request PATCH \
--url https://realtime-api.voiceflow.com/v1alpha1/project/{projectID}/environment/traffic \
--header 'Content-Type: application/json' \
--header 'authorization: <api-key>' \
--data '{}'import requests
url = "https://realtime-api.voiceflow.com/v1alpha1/project/{projectID}/environment/traffic"
payload = {}
headers = {
"authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://realtime-api.voiceflow.com/v1alpha1/project/{projectID}/environment/traffic', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {}
}Update traffic split
Update the traffic split configuration for all environments on the target assistant. The request can be keyed by environment ID or alias. Percentages must sum to 100.
PATCH
/
v1alpha1
/
project
/
{projectID}
/
environment
/
traffic
Update traffic split
Authorizations
Voiceflow API key
Path Parameters
ID of the project that owns the environments.
Body
application/json
Required range:
0 <= x <= 100Was this page helpful?
⌘I